import{Dialog as o}from"@equinor/eds-core-react";import{colors as t}from"../../atoms/style/colors.js";import{spacings as i}from"../../atoms/style/spacings.js";import e,{css as n}from"styled-components";const d=e(o)`
  grid-gap: 0;
`,r=e(o.Title)`
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  padding: ${i.medium};

  ${({$withBorders:o})=>o?n`
        border-bottom: 1px solid ${t.ui.background__medium.rgba};
      `:""}
  > section {
    display: flex;
    flex-direction: column;
  }
`,s=e(o.CustomContent)`
  min-height: unset;
  ${({$withContentPadding:o})=>o?n`
        padding: ${i.medium};
      `:n`
      padding: 0;
    `}
`,a=e(o.Actions)`
  border-top: 1px solid ${t.ui.background__medium.rgba};
  display: grid;
  grid-template-columns: auto auto auto;
  padding-top: ${i.medium};
  width: 100%;

  > section {
    display: flex;
    gap: ${i.small};
  }

  > section#dialog-actions-left {
    grid-column: 1;
  }

  > section#dialog-actions-center {
    grid-column: 2;
    justify-content: center;
  }

  > section#dialog-actions-right {
    grid-column: 3;
    justify-content: flex-end;
  }

  ${({$withBorders:o})=>o?n`
        border-top: 1px solid ${t.ui.background__medium.rgba};
      `:n`
      border-top: none;
    `}
`;export{a as DialogActions,s as DialogContent,d as DialogElement,r as DialogTitle};
