import { FC, HTMLAttributes } from 'react';
import { Editor, Extensions } from '@tiptap/react';
export interface RichTextDisplayProps {
    value: string | null | undefined;
    imgReadToken?: string;
    lightBackground?: boolean;
    padding?: 'sm' | 'md' | 'lg' | 'none';
    extensions?: Extensions;
    children?: (editor: Editor) => JSX.Element;
}
export declare const RichTextDisplay: FC<RichTextDisplayProps & HTMLAttributes<HTMLDivElement>>;
