import{tokens as o}from"../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{EditorContent as r}from"@tiptap/react";import e from"styled-components";import"react";import"./custom-extensions/AmplifyKit.js";import"./MenuBar/MenuBar.js";import"react/jsx-runtime";import"../AnimatedCheckmark/AnimatedCheckmark.styles.js";import"../ApplicationIcon/ApplicationIcon.js";import"../Badge/Badge.styles.js";import"@equinor/eds-core-react";import"../Banner/Banner.styles.js";import"@equinor/eds-icons";import"../Chip/Chip.js";import"../ContentMenu/ContentMenu.js";import"../Dialog/Dialog.js";import"../EquinorLogo/EquinorLogo.js";import{colors as t}from"../../atoms/style/colors.js";import"../FileProgress/CompactFileProgress.styles.js";import"../../organisms/ErrorPage/illustrations/GlitchAnimation.js";import"../../organisms/ErrorPage/illustrations/QuestioningAnimation.js";import"proj4";import"./RichTextEditor.types.js";import"../../atoms/utils/auth_environment.js";import"html2canvas";import"../FileProgress/RegularFileProgress.styles.js";import"../FileUploadArea/FileUploadArea.js";import"../FullPageSpinner/FullPageSpinner.js";import"../InfoElement/InfoElement.js";import"../OptionalTooltip/OptionalTooltip.js";import"../ProfileAvatar/ProfileAvatar.js";import"./MenuBar/MenuBar.styles.js";import"./MenuBar/MenuButton.js";import"../Search/Search.js";import"react-router-dom";import"../Sieve/Sieve.styles.js";import"../../node_modules/lodash/lodash.js";import"../SingleFilterMenu/SingleFilterMenu.js";import"../Skeleton/SkeletonBase/SkeletonBase.js";import"../Stepper/Stepper.js";import"../OptionDrawer/OptionDrawer.js";import"../Select/Select.styles.js";import"../ListItem/ListItem.js";import"../SelectionControls/Checkbox/Checkbox.js";import"../SelectionControls/Radio/Radio.js";import"../SelectionControls/Switch/Switch.js";import"@equinor/subsurface-app-management";import"@microsoft/signalr";import"@tanstack/react-query";import"../../atoms/enums/Environment.js";import"../../organisms/TopBar/Notifications/NotificationProvider.js";import"../../providers/AuthProvider/AuthProvider.js";import"../../providers/ReleaseNotesProvider.js";import"../../providers/SideBarProvider.js";import"../../providers/SnackbarProvider/SnackbarProvider.js";import"../../providers/TableOfContentsProvider.js";import"../../providers/ThemeProvider/ThemeProvider.js";import"../../providers/TutorialStepsProvider.js";import"../../atoms/enums/Errors.js";import"../../atoms/enums/Theme.js";const{spacings:i,typography:a,shape:s,colors:n}=o,p=e(r)`
  display: grid;
  grid-template-rows: 1fr;
  overflow-y: auto;
  min-height: ${o=>o.$minHeight||"auto"};
  max-height: ${o=>o.$maxHeight||"auto"};
`,m=e.div`
  display: grid;
  background: ${n.ui.background__default.rgba};
  border-radius: ${s.corners.borderRadius} ${s.corners.borderRadius} 0 0;
  border: ${o=>o.$border?`1px solid ${n.ui.background__medium.rgba}`:"none"};
  border-bottom: none;

  &:has(div[contenteditable='true']) {
    height: inherit;
  }

  & [data-placeholder]::before {
    color: ${n.text.static_icons__tertiary.rgba} !important;
  }

  .tiptap {
    box-sizing: border-box;
    overflow-y: auto;
    background: ${o=>o.$lightBackground?`${n.ui.background__default.rgba}`:`${n.ui.background__light.rgba}`};

    &[contenteditable='true'] {
      box-shadow: ${({$highlighted:o})=>o?`inset 0 -2px ${t.dataviz.darkblue.darker}`:`inset 0 -1px ${n.ui.background__medium.rgba}`};
    }

    padding: ${o=>{switch(o.$padding){case"sm":return i.comfortable.small;case"md":return i.comfortable.medium;case"lg":return i.comfortable.large;default:return 0}}};

    a {
      color: ${n.interactive.primary__resting.rgba};
    }
    a:hover {
      cursor: pointer;
      color: ${n.interactive.primary__hover.rgba};
    }
    p {
      font-size: 16px;
      font-family: 'Equinor', sans-serif;
      color: ${n.text.static_icons__default.rgba};
      line-height: ${a.paragraph.body_long.lineHeight};
      margin: 0;
    }
    ul,
    ol {
      margin: 0;
    }
    img {
      max-width: 100%;
      max-height: 100%;
      border-radius: 5px;
    }
    pre {
      background: #0d0d0d;
      border-radius: 0.5rem;
      color: #fff;
      font-family: 'Equinor Mono', monospace;
      padding: 0.75rem 1rem;
      margin: 0;

      code {
        background: none;
        color: inherit;
        font-size: 0.8rem;
        padding: 0;
      }
    }

    table {
      border-collapse: collapse;
      overflow: hidden;
      table-layout: fixed;
      width: 100%;

      td,
      th {
        border: 2px solid #ced4da;
        box-sizing: border-box;
        min-width: 1em;
        padding: 3px 5px;
        position: relative;
        vertical-align: top;

        > * {
          margin-bottom: 0;
        }
      }

      th {
        background-color: #f1f3f5;
        font-weight: bold;
        text-align: left;
      }

      .selectedCell:after {
        background: rgba(200, 200, 255, 0.4);
        content: '';
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        pointer-events: none;
        position: absolute;
        z-index: 2;
      }

      .column-resize-handle {
        background-color: #adf;
        bottom: -2px;
        position: absolute;
        right: -2px;
        pointer-events: none;
        top: 0;
        width: 4px;
      }

      p {
        margin: 0;
      }
    }

    &:focus-visible {
      outline: none;
      box-shadow: inset 0 -2px ${n.interactive.primary__resting.rgba};
    }
  }

  .tiptap p.is-editor-empty:first-child::before {
    color: ${n.text.static_icons__default.rgba};
    content: attr(data-placeholder);
    float: left;
    height: 0;
    pointer-events: none;
  }
`;export{p as EditorContent,m as EditorStyling};
