declare enum ReleaseNoteType {
    FEATURE = "Feature",
    IMPROVEMENT = "Improvement",
    BUG_FIX = "Bug fix"
}
type ReleaseNoteTypeInformation = {
    [key in ReleaseNoteType]: {
        dotColor: string;
    };
};
declare const RELEASENOTETYPES_INFORMATION: ReleaseNoteTypeInformation;
interface ReleaseNotesTypesProps {
    name: ReleaseNoteType;
    onClick?: () => void;
    active?: boolean;
    showIcon: boolean;
}
export { ReleaseNoteType, RELEASENOTETYPES_INFORMATION };
export type { ReleaseNotesTypesProps };
