import { FC } from 'react';
type Placement = 'top' | 'top-start' | 'top-end' | 'bottom' | 'bottom-start' | 'bottom-end' | 'right' | 'right-start' | 'right-end' | 'left' | 'left-start' | 'left-end';
interface WorkflowStatusBarType {
    color: string;
    backgroundColor: string;
    label: string;
    value: string;
}
export interface WorkflowStatusBarProps {
    options: WorkflowStatusBarType[];
    disableTooltip?: boolean;
    tooltipPlacement?: Placement;
    activeNode: string;
    highlightActiveNode?: boolean;
    showAlert?: boolean;
    lineDefaultColor?: string;
    lineActiveColor?: string;
}
/**
 * @deprecated Being deprecated from amplify-component-lib move into app if you want the implementation
 */
declare const WorkflowStatusBar: FC<WorkflowStatusBarProps>;
export default WorkflowStatusBar;
