import{Typography as r,Tooltip as i,CircularProgress as t}from"@equinor/eds-core-react";import{colors as e}from"../../atoms/style/colors.js";import{spacings as o}from"../../atoms/style/spacings.js";import s from"styled-components";const a=s.div`
  border-radius: 4px;
  margin: 10px 0;
  width: 88px;
  height: 88px;
  box-sizing: border-box;
  position: relative;
  transition: 0.3s;
  ${({$isError:r})=>r&&`&:hover { \n        background: ${e.ui.background__warning.rgba}\n    }`}
`;s(r)`
  margin: ${o.small} ${o.small} 0 ${o.small};
  color: ${e.text.static_icons__tertiary.rgba};
`;const n=s.div`
  height: 100%;
  width: 100%;
  overflow: hidden;
  border: 1px dashed ${e.ui.background__medium.rgba};
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 4px;
`,d=s.div`
  height: 100%;
  width: 100%;
  overflow: hidden;
  border: 1px solid ${e.ui.background__light.rgba};
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  > img {
    width: 100%;
    overflow: hidden;
    text-align: center;
  }
`,c=s.div`
  display: grid;
  grid-template-rows: 1fr 1fr 1fr;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
  font-size: 11px;
  justify-items: center;
  text-align: center;
  border-radius: 4px;
  border: 1px dashed ${e.interactive.warning__text.rgba};
  gap: 0;
  > svg {
    grid-row: 2/3;
  }
  > div {
    grid-row: 3/4;
    color: ${e.interactive.warning__text.rgba};
  }
`,g=s.div`
  background-color: ${e.text.static_icons__tertiary.rgba};
  border-radius: 50%;
  border: 2px solid ${e.text.static_icons__primary_white.rgba};
  position: absolute;
  width: 18px;
  height: 18px;
  right: -10px;
  cursor: pointer;
  top: -10px;
  > svg {
    width: 18px;
    height: 18px;
    fill: ${e.text.static_icons__primary_white.rgba};
  }
`,l=s(r)`
  font-size: 10px;
  padding-top: ${o.x_small};
  width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
`,p=s(i)`
  white-space: pre;
`,h=s(t)`
  circle {
    stroke: ${e.interactive.primary__resting.rgba};
  }
  circle:first-child {
    stroke: ${e.interactive.primary__hover_alt.rgba};
  }
`;export{l as AdditionalText,h as CircularProgress,g as CloseButton,a as CompactFileProgressContainer,p as FileTooltip,d as ImageWrapper,n as LoadingWrapper,c as Rejection};
