import { HTMLAttributes, ReactNode } from 'react';
interface SideBarProps extends HTMLAttributes<HTMLDivElement> {
    children: ReactNode;
    showCreate?: boolean;
    bottomItem?: ReactNode;
}
interface BaseSideBar extends SideBarProps {
    onCreate?: undefined;
}
interface SideBarWithCreate extends SideBarProps {
    onCreate: () => void;
    createLabel: string;
    createDisabled?: boolean;
    createActive?: boolean;
}
export declare const SideBar: import("react").ForwardRefExoticComponent<(BaseSideBar | SideBarWithCreate) & import("react").RefAttributes<HTMLDivElement>>;
export {};
