import{Chip as r}from"@equinor/eds-core-react";import{tokens as i}from"../../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{animation as t}from"../../../atoms/style/animation.js";import"../../../atoms/style/colors.js";import{spacings as a}from"../../../atoms/style/spacings.js";import e from"styled-components";const{colors:o,shape:n}=i,s=e.button`
  border-radius: 50%;
  padding: 0;
  outline-offset: ${a.x_small};
  background: none;
  cursor: pointer;
  &:focus {
    outline: 2px dashed ${o.interactive.primary__resting.rgba};
  }
`,l=e.div`
  padding: ${a.medium} ${a.small} 0 ${a.small};
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: ${a.small};
`,d=e.div`
  display: flex;
  flex-direction: column;
  align-items: center;
`,m=e.section`
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  max-width: 350px;
  gap: ${a.small};
  margin-top: ${a.small};
`,c=e(r)`
  background: ${o.ui.background__light.rgba};
  border: 1px solid ${o.ui.background__medium.rgba};
  color: ${o.text.static_icons__default.rgba};
`,g=e.div`
  display: grid;
  margin-top: ${a.x_large};
  justify-content: center;
`,p=e.button`
  display: grid;
  grid-template-columns: auto 1fr auto;
  align-items: center;
  gap: ${a.medium_small};
  width: 100%;
  padding: ${a.small};
  border-radius: ${n.button.borderRadius};
  background: ${o.ui.background__light.rgba};
  transition: background ${t.transitionMS};

  > span {
    color: ${o.interactive.primary__resting.rgba};
  }

  > svg {
    fill: ${o.interactive.primary__resting.rgba};
  }

  &:hover {
    background: ${o.interactive.primary__hover_alt.rgba};
  }
`;export{g as ButtonWrapper,l as Container,p as OpenImpersonationMenuButton,s as ProfileButton,c as RoleChip,m as RolesContainer,d as TextContent};
